
Showroom Mobile Banking - Bug #14898

IB&MB - efd-placement - Convert to ngrx data

25 November 2022 03:05 PM - chok yee fan

Status: Closed Start date: 25 November 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Issue

------

Currently not using ngrx data.

Expected

------

Use ngrx data.

History

#1 - 15 December 2022 11:06 AM - Axel Sidharta

- Status changed from New to Resolved

- Assignee changed from Axel Sidharta to Hoo Dextor

r220431 | axel | 2022-12-15 10:05:12 WIB

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/efd-placement/efd-placement.comp

onent.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/efd-placement-confirmation/efd-plac

ement-confirmation.component.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/efd-placement/efd-placement.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/efd-placement-confirmation/efd-place

ment-confirmation.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/efd-placement/data-access/src/index.ts

Bug #14898 change to ngrx

----------------------------------------------------------------------------

#2 - 16 December 2022 04:27 PM - chok yee fan

- File WhatsApp Image 2022-12-16 at 4.11.43 PM.jpeg added

- Status changed from Resolved to Feedback

- Assignee changed from Hoo Dextor to Axel Sidharta
https://dev.silverlakemobility.com/redmine/issues/14898


1. this one when hit session timeout, by right is show unable to process and logout, how come ur error is showing this?

2. it will keep showing multiple times after click will keep stacking on time of it

i believe is last time what Mun Fung the issue, u have to put the checking on error$

3. when click on the account, only show 1. base on the previous app, it will show multiple accounts

4. same for Account type will have selection, but urs no selection anymore

u better compare with previous app is working same with ur changes behaviour by download the MYSIT_20008 from this page 

https://dev.silverlakemobility.com/release/showroom/my/index.php

#3 - 20 December 2022 06:07 PM - Axel Sidharta

- Status changed from Feedback to Resolved

r220541 | axel | 2022-12-20 17:05:05 WIB

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/efd-placement-confirmation/efd-plac

ement-confirmation.component.ts

Bug #14898 change from res to res.body

----------------------------------------------------------------------------

#4 - 20 December 2022 06:07 PM - Axel Sidharta

- Assignee changed from Axel Sidharta to Hoo Dextor

#5 - 21 December 2022 01:29 PM - chok yee fan

Revision #220550 Committed by chokyf Today 11:34 am chok: correction on ngrx data https://dev.silverlakemobility.com/redmine/issues/14898

/Users/sladmin/Documents/showroom-nx-trunk-webstorm/apps/showroom-mb/src/app

efd-placement

efd-placement.html

efd-placement.ts

efd-placement-confirmation

efd-placement-confirmation.ts

#6 - 27 December 2022 10:18 AM - Pui Shan Lee

- Status changed from Resolved to Feedback

- Assignee changed from Hoo Dextor to chok yee fan

(IB) Issue:
e-FixedDeposit → Placement → No data listed in a few of the dropdown menus → cannot proceed to the next step

Account Type is not showing options

Expected:

e-FixedDeposit → Placement → enter details → can proceed till enter TAC

Possible solution:

efd-placement.component.html

Line 61 :

<nz-option *ngFor="let bank of (efdPlacementList$ | async)[0]?.body?.fpxBankList;let i = index"

[nzValue]="{ bank: bank, ownBank: false, index: 0 }"

[nzLabel]="bank.bankName">

</nz-option>

 

Line 325:

<nz-option

*ngFor="

let item of (efdPlacementList$ | async)[0]?.body?.maturityInstrList;

let i = index

"

[nzValue]="item"

[nzLabel]="item.maturityLabel">

</nz-option>

 

Line 350:

<nz-option

nzCustomContent

*ngFor="

let item of (efdPlacementList$ | async)[0]?.body?.obFromAccBean;

let i = index

"

[nzValue]="item"

[nzLabel]="item.accountDescription" >

{{ item.accountDescription }}

( {{ item.accountNumber }} )

</nz-option>
#7 - 29 December 2022 11:42 AM - chok yee fan

- Assignee changed from chok yee fan to Axel Sidharta

Please base on the comment https://dev.silverlakemobility.com/redmine/issues/14898#note-6 to do the fixed

#8 - 03 January 2023 10:43 AM - Pui Shan Lee

- File efd-placement.component.html added

- File efd-placement.component.ts added

- Assignee changed from Axel Sidharta to chok yee fan

Possible solution:

can check out these two files to fix the dropdown list

ts file --> viewDestroyed$ is used while calling the services

#9 - 05 January 2023 11:27 AM - Pui Shan Lee

- Status changed from Feedback to Resolved

- Assignee changed from chok yee fan to Hoo Dextor

r220761 | leepsh | 2023-01-05 11:23:59 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/efd-placement/efd-placement.comp

onent.html

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/efd-placement/efd-placement.comp

onent.ts

Shan: fix the efd dropdown and tenure list

----------------------------------------------------------------------------

#10 - 11 September 2023 10:12 AM - Hoo Dextor

- Status changed from Resolved to Closed

Files

WhatsApp Image 2022-12-16 at 4.11.43 PM.jpeg 60.9 KB 16 December 2022 chok yee fan

efd-placement.component.ts 38.9 KB 03 January 2023 Pui Shan Lee

efd-placement.component.html 16.5 KB 03 January 2023 Pui Shan Lee
